Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.event
Class OpenCardEvent

    java.lang.Object
      java.util.EventObject
          opencard.core.event.OpenCardEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CardTerminalEvent, TracerEvent

    public class OpenCardEvent

extends java.util.EventObject

Observable events of the OpenCard framework. This is the super class of all event types in the framework.

Version:
  $Id: OpenCardEvent.java,v 1.1.1.1 1999/10/05 15:34:31 damke Exp $
Author:
  Dirk Husemann (hud@zurich.ibm.com), Mike Wendler (mwendler@de.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected int` | `id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`OpenCardEvent(java.lang.Object source, int anId)` Constructs an object of this class.

Method Summary
`java.lang.String` | `toString()` Gets a printable representation of this object.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected int id

Constructor Detail

### OpenCardEvent

    public OpenCardEvent(java.lang.Object source,
                         int anId)

  Constructs an object of this class.

  Parameters:
    `source` - the object that created this event
    `anId` - numerical value giving more information about the nature of this event

Method Detail

### toString

    public java.lang.String toString()

  Gets a printable representation of this object.

  Overrides:
    `toString` in class `java.util.EventObject`
  Returns:
    a `String` representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD